package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import ajcon.enumerations.CNMToken;

public class CUnaryExpr extends CStmt{
    private CStmt CStmt;
    private String op;

    private CNMToken post; // original one post

    public CUnaryExpr() {
        CStmt = null;
        post = null;
        this.op = null;
    }

    public CStmt getCStmt() {
        return CStmt;
    }

    public void setCStmt(CStmt CStmt) {
        this.CStmt = CStmt;
    }

    public CNMToken getPost() {
        return post;
    }

    public void setPost(CNMToken post) {
        this.post = post;
    }


    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }
    


}
